Package com.google.android.exoplayer2.testutil

## Class ExtractorAsserts.AssertionConfig.Builder

- java.lang.Object
- - com.google.android.exoplayer2.testutil.ExtractorAsserts.AssertionConfig.Builder

- Enclosing class:
    ExtractorAsserts.AssertionConfig

      public static class ExtractorAsserts.AssertionConfig.Builder
      extends Object

  Builder for `ExtractorAsserts.AssertionConfig` instances.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExtractorAsserts.AssertionConfig` | `build()` |
    `ExtractorAsserts.AssertionConfig.Builder` | `setDeduplicateConsecutiveFormats​(boolean deduplicateConsecutiveFormats)` |
    `ExtractorAsserts.AssertionConfig.Builder` | `setDumpFilesPrefix​(String dumpFilesPrefix)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### setDumpFilesPrefix

          public ExtractorAsserts.AssertionConfig.Builder setDumpFilesPrefix​(String dumpFilesPrefix)

    - #### setDeduplicateConsecutiveFormats

          public ExtractorAsserts.AssertionConfig.Builder setDeduplicateConsecutiveFormats​(boolean deduplicateConsecutiveFormats)

    - #### build

          public ExtractorAsserts.AssertionConfig build()